Create mockup comment
curl --request POST \
--url https://api.surefeedback.com/api/v1/mockup-comments \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"mockup_id": "<string>",
"content": "<string>",
"x_coord": 123,
"y_coord": 123,
"page_number": 123,
"mentions": [
{}
],
"priority": "<string>"
}
'import requests
url = "https://api.surefeedback.com/api/v1/mockup-comments"
payload = {
"mockup_id": "<string>",
"content": "<string>",
"x_coord": 123,
"y_coord": 123,
"page_number": 123,
"mentions": [{}],
"priority": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mockup_id: '<string>',
content: '<string>',
x_coord: 123,
y_coord: 123,
page_number: 123,
mentions: [{}],
priority: '<string>'
})
};
fetch('https://api.surefeedback.com/api/v1/mockup-comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Comment created successfully",
"data": {
"id": "220e8400-e29b-41d4-a716-44665544000c",
"mockup_id": "110e8400-e29b-41d4-a716-44665544000b",
"content": "The button color should be darker.",
"status": "OPEN",
"priority": "MEDIUM",
"x_coord": 45.2,
"y_coord": 30.1,
"page_number": 1
}
}
Mockups
Create mockup comment
Create a new comment on a mockup.
POST
/
mockup-comments
Create mockup comment
Creates a new comment on a mockup.
Request body
string
required
UUID of the mockup.
string
required
Comment text content.
number
Horizontal pin position as a percentage.
number
Vertical pin position as a percentage.
integer
PDF page number for document mockups. Minimum:
1.array
Array of mentioned user IDs.
string
Optional priority. Default:
MEDIUM.{
"success": true,
"message": "Comment created successfully",
"data": {
"id": "220e8400-e29b-41d4-a716-44665544000c",
"mockup_id": "110e8400-e29b-41d4-a716-44665544000b",
"content": "The button color should be darker.",
"status": "OPEN",
"priority": "MEDIUM",
"x_coord": 45.2,
"y_coord": 30.1,
"page_number": 1
}
}
Was this page helpful?
⌘I